Package org.springframework.beans.factory.xml

# Interface NamespaceHandlerResolver

All Known Implementing Classes:
  `DefaultNamespaceHandlerResolver`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface NamespaceHandlerResolver
Used by the `DefaultBeanDefinitionDocumentReader` to locate a `NamespaceHandler` implementation for a particular namespace URI.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  - `NamespaceHandler`
  - `DefaultBeanDefinitionDocumentReader`

## Method Summary

Modifier and Type
Method
Description
`NamespaceHandler`
`resolve(String namespaceUri)`
Resolve the namespace URI and return the located `NamespaceHandler` implementation.

## Method Details

### resolve

@Nullable NamespaceHandler resolve(String namespaceUri)
Resolve the namespace URI and return the located `NamespaceHandler` implementation.

Parameters:
  `namespaceUri` - the relevant namespace URI
Returns:
  the located `NamespaceHandler` (may be `null`)